org.apache.sysds.runtime.privacy.finegrained

## Class DataRange

- java.lang.Object
- - org.apache.sysds.runtime.privacy.finegrained.DataRange

-     public class DataRange
      extends Object

  A DataRange instance marks a part of a CachableData data object. The beginDims marks the beginning for all dimensions and the endDims marks the end for all dimensions. DataRange is very similar to org.apache.sysds.runtime.util.IndexRange, except that DataRange supports more than two dimensions.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataRange(long[] beginDims, long[] endDims)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `contains(long[] index)` Returns true if the given index is in the data range.
    `boolean` | `equals(Object other)`
    `long[]` | `getBeginDims()`
    `long[]` | `getEndDims()`
    `boolean` | `overlaps(DataRange dataRange)` Returns true if this data range overlaps with the given data range.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DataRange

          public DataRange(long[] beginDims,
                           long[] endDims)

  - ### Method Detail

    - #### getBeginDims

          public long[] getBeginDims()

    - #### getEndDims

          public long[] getEndDims()

    - #### overlaps

          public boolean overlaps(DataRange dataRange)

      Returns true if this data range overlaps with the given data range. An overlap means that the data ranges have some overlap in all dimension.
      Parameters:
        `dataRange` - for which the overlap is checked
      Returns:
        true if the data ranges overlap or false if not

    - #### contains

          public boolean contains(long[] index)

      Returns true if the given index is in the data range. Being in the data range means that the index has to be in the range for all dimensions.
      Parameters:
        `index` - of an element for which it is checked if it is in the range
      Returns:
        true if the index is in the range and false otherwise

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

Copyright © 2021 The Apache Software Foundation. All rights reserved.